| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::MailURL Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- QString URL
- uint method
- HTTPPostDataList postData

## Detailed Description

Structure type generated from the specification.

A structure containing the required information to open a web-based e-mail UI, without needing re-authentication (if possible).

Because the URL and POST data frequently contain short-lived credential tokens, a new URL should be requested (by calling one of the methods that returns a Mail_URL) for each visit to the web-based UI, and the URL should be visited soon after it is returned.

## Member Data Documentation

QString Tp::MailURL::URL

The URL to which to send a request.

uint Tp::MailURL::method

The HTTP method of the request.

HTTPPostDataList Tp::MailURL::postData

An array of name-value pairs containing the POST data to use when opening the URL. This MUST be an empty array if the Method is not POST.